Subject: bug#43638: [feature/native-comp] (setf seq-elt) is already defined as something else than a generic function

From: Jorge Javier Araya Navarro <[email-masked]>
Date: Sun, 27 Sep 2020 12:46:54 -0600

Okay, let me clarify: Arch haven't packaged anything, this is a PKGBUILD
from the Arch User Repository (AUR) and things are compiled locally and the
PKGBUILD simplifies the process, on line 195 some options are set and on
line 269 the actual configure takes place, then after that the compilation
starts with `make NATIVE_FAST_BOOT=1` because, as I stated before,
`FAST_BOOT` option in the script was set to "YES" (non-nil if you wish)

for making things easier to everybody I will put all the options that are
use in the configure phase:

./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --libexecdir=/usr/lib \
    --localstatedir=/var \
    --mandir=/usr/share/man \
    --with-gameuser=:games \
    --with-sound=alsa \
    --with-modules \
    --without-gconf \
    --without-gsettings \
    --with-nativecomp \
    --with-pgtk \
    --enable-link-time-optimization \
    --with-x-toolkit=gtk3 \
    --without-xaw3d \
    --without-m17n-flt \
    --with-cairo \
    --with-xwidgets \
    --without-compress-install

and:

make NATIVE_FAST_BOOT=1

the latest commit from the feature branch merged into master on source code
https://github.com/flatwhatson/emacs is
4a50f541447eddefcca3ebc6bedb110ac0041f90
"Fix MacOS Emacs.app installation (bug#43532)"

El dom., 27 de sep. de 2020 a la(s) 11:32, Lars Ingebrigtsen ([email-masked])
escribió:

> Jorge Javier Araya Navarro <[email-masked]> writes:
>
> > The PKGBUILD is just a glorified bash script, this one just activates or
> deactivates
> > compiling options shipped by the Emacs source code, reading it should
> give you an
> > idea of how Emacs is compiled
> >
> > And, well, it is already compiled from Git.
>
> The native-comp branch of Emacs is under heavy development, so I'm not
> sure why Arch has packaged it up, but it certainly wouldn't be
> reasonable to ask Andrea to chase down bugs in that package.
>
> Did you try the simple recipe Andrea gave for building Emacs?
>
> [...]
>
> >  =====
> >  git clone git://git.savannah.gnu.org/emacs.git -b feature/native-comp
> emacs
> >  cd emacs
> >  ./autogen.sh
> >  ./configure --with-nativecomp
> >  make
> >  ./src/emacs -Q
> >  =====
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>